import React from "react";
import { DescriptionType } from "types";
declare const BoardDescription: React.FC<BoardDescriptionProps>;
interface EditableBoardDescriptionProps {
    editing: true;
    editingCategory?: DescriptionType;
    descriptions: DescriptionType[];
    onEditDescriptionRequest: (id: string) => void;
    onAddDescription: (type: "text" | "category_filter") => void;
    onDeleteDescription: (id?: string) => void;
    onDescriptionChange: (description: DescriptionType) => void;
}
interface DisplayBoardDescriptionProps {
    editing?: false;
    descriptions: DescriptionType[];
    activeCategories: string[];
    onCategoryStateChangeRequest: (name: string) => void;
    onClearFilterRequests: () => void;
}
export declare type BoardDescriptionProps = EditableBoardDescriptionProps | DisplayBoardDescriptionProps;
export default BoardDescription;
