import React from "react";
import { TagsType } from "../types";
export interface TagProps {
    name: string;
    symbol?: string | JSX.Element;
    avatar?: string;
    color?: string;
    accentColor?: string;
    compact?: boolean;
}
declare const Tag: React.FC<TagProps>;
export default Tag;
export declare const INDEXABLE_PREFIX = "!";
export declare const CATEGORY_PREFIX = "+";
export declare const CONTENT_WARNING_PREFIX = "cw:";
export declare const INDEXABLE_TAG_COLOR = "#FF5A13";
export declare const CATEGORY_TAG_COLOR = "#138EFF";
export declare const CW_TAG_COLOR = "#FFC700";
export declare class TagsFactory {
    static create(tag: TagsType): JSX.Element;
    static getTagsFromTagObject(tagsObject?: {
        contentWarnings: string[];
        categoryTags: string[];
        whisperTags: string[];
        indexTags: string[];
    }): TagsType[];
    static orderTags(tags: TagsType[]): TagsType[];
    static getTypeFromString(tag: string, accentColor?: string): TagsType;
}
