import React from "react";
declare const Comment: React.ForwardRefExoticComponent<CommentProps & React.RefAttributes<CommentHandler>>;
export interface CommentHandler {
    highlight: (color: string) => void;
    editorRef?: React.RefObject<HTMLDivElement>;
    headerRef?: React.RefObject<HTMLDivElement>;
}
export interface CommentProps {
    id: string;
    focus?: boolean;
    initialText: string;
    secretIdentity: {
        avatar: string;
        name: string;
    };
    userIdentity?: {
        avatar: string;
        name: string;
    };
    muted?: boolean;
    paddingTop?: string;
    onExtraAction?: () => void;
}
export default Comment;
