import React from "react";
export declare const modes: {
    VIEW: string;
    CREATE: string;
};
declare const Comment: React.ForwardRefExoticComponent<CommentProps & React.RefAttributes<EditorRef>>;
export interface EditorRef {
    editorRef: React.RefObject<HTMLDivElement>;
    focus: () => void;
}
export interface CommentProps {
    secretIdentity?: {
        avatar: string;
        name: string;
    };
    userIdentity?: {
        avatar: string;
        name: string;
    };
    initialText?: string;
    onCancel: () => void;
    onSubmit: (text: string) => void;
    onTextChange?: (text: string) => void;
    onCanSubmitChange?: (canSubmit: boolean) => void;
    onIsEmptyChange?: (empty: boolean) => void;
    loading?: boolean;
    centered?: boolean;
    withActions?: boolean;
    canSubmit?: boolean;
    muted?: boolean;
}
export default Comment;
