import React from "react";
import { LinkWithAction } from "types";
export declare const modes: {
    VIEW: string;
    CREATE: string;
};
export declare enum PostSizes {
    REGULAR = 0,
    WIDE = 1
}
export declare const getPostWidth: (size?: PostSizes | undefined) => 850 | 550;
declare const Post: React.ForwardRefExoticComponent<PostProps & React.RefAttributes<PostHandler>>;
export default Post;
export interface PostHandler {
    highlight: (color: string) => void;
}
export interface PostProps {
    mode?: string;
    editable?: boolean;
    answerable?: boolean;
    text: string;
    createdTime: string;
    createdTimeLink: LinkWithAction;
    secretIdentity: {
        avatar: string;
        name: string;
    };
    userIdentity?: {
        avatar: string;
        name: string;
    };
    tags?: {
        contentWarnings: string[];
        categoryTags: string[];
        whisperTags: string[];
        indexTags: string[];
    };
    reactions?: {
        image: string;
        count: number;
    }[];
    size?: PostSizes;
    newPost?: boolean;
    totalContributions?: number;
    directContributions?: number;
    newContributions?: number;
    totalComments?: number;
    newComments?: number;
    onNewContribution: () => void;
    onNewComment: () => void;
    collapsed?: boolean;
    muted?: boolean;
    notesLink: LinkWithAction;
    centered?: boolean;
    reactable?: boolean;
    menuOptions?: {
        name: string;
        link: LinkWithAction;
    }[];
    onEmbedLoaded?: () => void;
}
