import React from "react";
import { PostSizes } from "./Post";
import { TagsType } from "../types";
export declare const setTumblrEmbedFetcher: (fetcher: (url: string) => any) => void;
export declare const setOEmbedFetcher: (fetcher: (url: string) => any) => void;
declare const PostEditor: React.ForwardRefExoticComponent<PostEditorProps & React.RefAttributes<{
    focus: () => void;
}>>;
export default PostEditor;
export interface PostEditorProps {
    initialText?: string;
    secretIdentity?: {
        avatar: string;
        name: string;
    };
    userIdentity: {
        avatar: string;
        name: string;
    };
    additionalIdentities?: {
        id: string;
        avatar: string;
        name: string;
    }[];
    loading?: boolean;
    defaultSize?: PostSizes;
    onImageUploadRequest: (imgUrl: string) => Promise<string>;
    onSubmit: (postPromise: Promise<{
        text: string;
        tags: TagsType[];
        viewOptionName?: string;
        identityId?: string;
    }>) => void;
    onCancel: (empty: boolean) => void;
    onMinimize?: () => void;
    minimizable?: boolean;
    viewOptions?: {
        name: string;
        iconUrl?: string;
    }[];
    centered?: boolean;
    accentColor?: string;
    suggestedCategories?: string[];
}
