export interface PostDetailsType {
    text: string;
    createdTime: string;
    secretIdentity: {
        avatar: string;
        name: string;
    };
    userIdentity?: {
        avatar: string;
        name: string;
    };
    newPost?: boolean;
    newComments?: number;
    newContributions?: number;
}
export interface TagsType {
    name: string;
    color?: string;
    accentColor?: string;
    indexable?: boolean;
    category?: boolean;
    contentWarning?: boolean;
}
export interface BoardMetadataType {
    slug: string;
    avatarUrl: string;
    tagline: string;
    accentColor: string;
    descriptions: DescriptionType[];
    muted?: boolean;
}
export interface TextDescriptionType {
    id: string;
    index: number;
    title: string;
    type: "text";
    description: string;
}
export interface FilterDescriptionType {
    id: string;
    index: number;
    title: string;
    type: "category_filter";
    categories: string[];
}
export declare type DescriptionType = TextDescriptionType | FilterDescriptionType;
export interface LinkWithAction {
    href?: string;
    onClick: () => void;
}
