const DefaultTheme: ThemeProperties = {
  LAYOUT_BOARD_BACKGROUND_COLOR: "#2f2f30",
  LAYOUT_SIDEMENU_BACKGROUND_COLOR: "#2f2f30",
  LAYOUT_HEADER_BACKGROUND_COLOR: "#131518",
  LAYOUT_BOARD_SIDEBAR_BACKGROUND_COLOR: "#1c1c1c",
  POPOVER_DEFAULT_BACKGROUND: "#1c1c1c",
  POST_HEADER_DATE_COLOR: "#2f2f30",
  POST_BACKGROUND_COLOR: "#ffffff",
  NEW_POST_COLOR: "#f96680",
  NEW_CONTRIBUTION_COLOR: "#f96680",
  NEW_COMMENT_COLOR: "#f96680",
  BORDER_RADIUS_REGULAR: "15px",
  BORDER_RADIUS_LARGE: "25px",
  DEFAULT_ACCENT_COLOR: "#ff5252",
  MODAL_BACKGROUND_COLOR: "rgba(0, 0, 0, 0.8)",
  DROPDOWN_BACKGROUND_COLOR_LIGHT: "#ffffff",
  DROPDOWN_BACKGROUND_COLOR_DARK: "#1c1c1c",
  HEADER_HEIGHT_PX: 70,
  //INDENT_COLORS: ["#f96680", "#24d282", "#27caba", "#f9e066"],
  //INDENT_COLORS: ["#535353", "#808080", "#27caba", "#f9e066"],
  INDENT_COLORS: ["#a8d5c0", "#f0b3b2", "#27caba", "#f9e066"],
  BUTTON_ACCENT_COLOR_LIGHT: "#1c1c1c",
  BUTTON_BACKGROUND_COLOR_LIGHT: "#ffffff",
  BUTTON_ACCENT_COLOR_DARK: "#ffffff",
  BUTTON_BACKGROUND_COLOR_DARK: "#1c1c1c",
};

export default DefaultTheme;

export interface ThemeProperties {
  LAYOUT_BOARD_BACKGROUND_COLOR: string;
  POPOVER_DEFAULT_BACKGROUND: string;
  POST_HEADER_DATE_COLOR: string;
  POST_BACKGROUND_COLOR: string;
  NEW_POST_COLOR: string;
  NEW_CONTRIBUTION_COLOR: string;
  NEW_COMMENT_COLOR: string;
  LAYOUT_SIDEMENU_BACKGROUND_COLOR: string;
  LAYOUT_HEADER_BACKGROUND_COLOR: string;
  LAYOUT_BOARD_SIDEBAR_BACKGROUND_COLOR: string;
  BORDER_RADIUS_REGULAR: string;
  BORDER_RADIUS_LARGE: string;
  DEFAULT_ACCENT_COLOR: string;
  MODAL_BACKGROUND_COLOR: string;
  INDENT_COLORS: string[];
  // TODO: add this to CSS once the CSS reset is working
  HEADER_HEIGHT_PX: number;
  DROPDOWN_BACKGROUND_COLOR_LIGHT: string;
  DROPDOWN_BACKGROUND_COLOR_DARK: string;
  BUTTON_ACCENT_COLOR_LIGHT: string;
  BUTTON_ACCENT_COLOR_DARK: string;
  BUTTON_BACKGROUND_COLOR_LIGHT: string;
  BUTTON_BACKGROUND_COLOR_DARK: string;
}
